TextOutputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.output
Class TextOutputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapreduce.OutputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<K,V>
              org.apache.hadoop.mapreduce.lib.output.TextOutputFormat<K,V>

    public class TextOutputFormat<K,V>

extends FileOutputFormat<K,V>

An `OutputFormat` that writes plain text files.

Nested Class Summary
`protected static class` | `TextOutputFormat.LineRecordWriter<K,V>`

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat
`FileOutputFormat.Counter`

Field Summary

Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat
`BASE_OUTPUT_NAME, PART`

Constructor Summary
`TextOutputFormat()`

Method Summary
`RecordWriter<K,V>` | `getRecordWriter(TaskAttemptContext job)` Get the `RecordWriter` for the given task.

Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat
`checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextOutputFormat

    public TextOutputFormat()

Method Detail

### getRecordWriter

    public RecordWriter<K,V> getRecordWriter(TaskAttemptContext job)
                                      throws IOException,
                                             InterruptedException

  Description copied from class: `OutputFormat`
  Get the `RecordWriter` for the given task.

  Specified by:
    `getRecordWriter` in class `FileOutputFormat<K,V>`
  Parameters:
    `job` - the information about the current task.
  Returns:
    a `RecordWriter` to write the output for the job.
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation